org.springframework.data.domain.jaxb

## Class SpringDataJaxb

- java.lang.Object
- - org.springframework.data.domain.jaxb.SpringDataJaxb

    public abstract class SpringDataJaxb
    extends Object

Helper class containing utility methods to implement JAXB `XmlAdapter`s as well as the DTO types to be marshalled by JAXB.

Author:
  Oliver Gierke

### Nested Class Summary

Nested Classes
`static class` `SpringDataJaxb.OrderDto` The DTO for `Sort.Order`.
`static class` `SpringDataJaxb.PageDto` The DTO for `Page`.
`static class` `SpringDataJaxb.PageRequestDto` The DTO for `Pageable`s/`PageRequest`s.
`static class` `SpringDataJaxb.SortDto` The DTO for `Sort`.

### Field Summary

Fields
`static String` `NAMESPACE`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T,S> List<S>` `marshal(Iterable<T> source, XmlAdapter<S,T> adapter)` Marshals each of the elements of the given `Iterable` using the given `XmlAdapter`.
`static <T,S> List<T>` `unmarshal(Collection<S> source, XmlAdapter<S,T> adapter)` Unmarshals each element of the given `Collection` using the given `XmlAdapter`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

### Method Detail

#### unmarshal

    public static <T,S> List<T> unmarshal(Collection<S> source,
                                          XmlAdapter<S,T> adapter)

Unmarshals each element of the given `Collection` using the given `XmlAdapter`.

Parameters:
  `source` -
  `adapter` - must not be null.
Returns:
Throws:
  `Exception`

#### marshal

    public static <T,S> List<S> marshal(@Nullable
                                        Iterable<T> source,
                                        XmlAdapter<S,T> adapter)

Marshals each of the elements of the given `Iterable` using the given `XmlAdapter`.

Parameters:
  `source` -
  `adapter` - must not be null.
Returns:
Throws:
  `Exception`